#### PyKDE - Python Bindings for KDE

# class KWritePermsIcon |
Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Class | KWritePermsIcon
Inherits | KAuthIcon

### methods

- KWritePermsIcon (fileName, parent = 0, name = 0)

  returns a KWritePermsIcon instance
  Argument | Type | Default
  --- | --- | ---
  fileName | QString |
  parent | QWidget | 0
  name | char | 0

- fileName ()

  returns (QString)
  In versions KDE 3.4.0 and above only

- setFileName (fileName)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  fileName | QString |

- status ()

  returns (bool)

- updateStatus ()

  returns nothing